Bug 20528 - Update request: kernel-tmb-4.4.55-1.mga5
Summary: Update request: kernel-tmb-4.4.55-1.mga5
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 5
Hardware: All Linux
: High critical
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: advisory MGA5-64-OK MGA5-32-OK
Keywords: validated_update
Depends on:
Blocks: 20553
  Show dependency treegraph
 
Reported: 2017-03-19 18:24 CET by Thomas Backlund
Modified: 2017-03-25 21:16 CET (History)
3 users (show)

See Also:
Source RPM: kernel-tmb
CVE:
Status comment:


Attachments

Description Thomas Backlund 2017-03-19 18:24:33 CET
Security and data corruption fixes, advisory will follow...


SRPMS:
kernel-tmb-4.4.55-1.mga5.src.rpm


i586:
kernel-tmb-desktop-4.4.55-1.mga5-1-1.mga5.i586.rpm
kernel-tmb-desktop-devel-4.4.55-1.mga5-1-1.mga5.i586.rpm
kernel-tmb-desktop-devel-latest-4.4.55-1.mga5.i586.rpm
kernel-tmb-desktop-latest-4.4.55-1.mga5.i586.rpm
kernel-tmb-source-4.4.55-1.mga5-1-1.mga5.noarch.rpm
kernel-tmb-source-latest-4.4.55-1.mga5.noarch.rpm


x86_64:
kernel-tmb-desktop-4.4.55-1.mga5-1-1.mga5.x86_64.rpm
kernel-tmb-desktop-devel-4.4.55-1.mga5-1-1.mga5.x86_64.rpm
kernel-tmb-desktop-devel-latest-4.4.55-1.mga5.x86_64.rpm
kernel-tmb-desktop-latest-4.4.55-1.mga5.x86_64.rpm
kernel-tmb-source-4.4.55-1.mga5-1-1.mga5.noarch.rpm
kernel-tmb-source-latest-4.4.55-1.mga5.noarch.rpm
Comment 1 Thomas Backlund 2017-03-22 18:50:05 CET

Raising priority as atleast one CVE is classed as a local privilegie escalation
Comment 2 Len Lawrence 2017-03-22 23:27:05 CET
x86_64 : Intel(R) Core(TM) i7-4790 CPU @ 3.60GHz : nvidia GeForce GTX 970
MSI motherboard : 32GB RAM = 4xChannelA-DIMM0 + L1/L2/L3 cache

Installed the six packages from Core Updates Testing.

Rebooted
nvidia, vbox-additions and virtualbox modules rebuilt.
$ uname -r
4.4.55-tmb-desktop-1.mga5

firefox et alii all working.
32bit vbox launched successfully with kernel 4.4.54-desktop-1.mga5
Comment 3 Thomas Backlund 2017-03-24 20:39:35 CET
Advisory (already added to svn)

subject: Updated kernel-tmb packages fixes security vulnerabilities
CVE:
 - CVE-2017-2636
 - CVE-2017-6346
 - CVE-2017-6347
 - CVE-2017-6348
src:
  5:
   core:
     - kernel-tmb-4.4.55-1.mga5
description: |
  This kernel-tmb update is based on upstream 4.4.55 and fixes atleast
  the following security issues:

  Race condition in drivers/tty/n_hdlc.c in the Linux kernel through 4.10.1
  allows local users to gain privileges or cause a denial of service (double
  free) by setting the HDLC line discipline (CVE-2017-2636).

  Race condition in net/packet/af_packet.c in the Linux kernel before 4.9.13
  allows local users to cause a denial of service (use-after-free) or possibly
  have unspecified other impact via a multithreaded application that makes
  PACKET_FANOUT setsockopt system calls (CVE-2017-6346).

  The ip_cmsg_recv_checksum function in net/ipv4/ip_sockglue.c in the Linux
  kernel before 4.10.1 has incorrect expectations about skb data layout,
  which allows local users to cause a denial of service (buffer over-read)
  or possibly have unspecified other impact via crafted system calls, as
  demonstrated by use of the MSG_MORE flag in conjunction with loopback UDP
  transmission (CVE-2017-6347).

  The hashbin_delete function in net/irda/irqueue.c in the Linux kernel before
  4.9.13 improperly manages lock dropping, which allows local users to cause a
  denial of service (deadlock) via crafted operations on IrDA devices
  (CVE-2017-6348).

  For other upstream fixes in this update, see the referenced changelogs.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=20528
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.51
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.52
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.53
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.54
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.55
Comment 4 Dave Hodgins 2017-03-25 20:55:43 CET
Testing complete on both i586 and x86_64, both on real hardware and under vb.

Validating the update.
Comment 5 Mageia Robot 2017-03-25 21:16:13 CET
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGASA-2017-0089.html

Note You need to log in before you can comment on or make changes to this bug.